import { HTMLAttributes } from 'react';
export declare type ListProps = {
    /** List variant. One of `unordered` or `ordered`. */
    variant: 'unordered' | 'ordered';
    /** Font size. One of `16px`, `18px`, or `20px`. Defaults to `18px`. */
    size?: '16px' | '18px' | '20px';
} & HTMLAttributes<HTMLOListElement | HTMLUListElement>;
export declare const ListBase: import("react").ForwardRefExoticComponent<{
    /** List variant. One of `unordered` or `ordered`. */
    variant: 'unordered' | 'ordered';
    /** Font size. One of `16px`, `18px`, or `20px`. Defaults to `18px`. */
    size?: '16px' | '18px' | '20px';
} & HTMLAttributes<HTMLOListElement | HTMLUListElement> & import("react").RefAttributes<HTMLOListElement | HTMLUListElement>>;
declare type ListItemProps = HTMLAttributes<HTMLLIElement>;
export declare const List: import("react").ForwardRefExoticComponent<{
    /** List variant. One of `unordered` or `ordered`. */
    variant: 'unordered' | 'ordered';
    /** Font size. One of `16px`, `18px`, or `20px`. Defaults to `18px`. */
    size?: '16px' | '18px' | '20px';
} & HTMLAttributes<HTMLOListElement | HTMLUListElement> & import("react").RefAttributes<HTMLOListElement | HTMLUListElement>> & {
    Unordered: import("react").ForwardRefExoticComponent<Omit<ListProps, "variant"> & import("react").RefAttributes<HTMLUListElement>>;
    Ordered: import("react").ForwardRefExoticComponent<Omit<ListProps, "variant"> & import("react").RefAttributes<HTMLOListElement>>;
    Item: ({ children, ...props }: ListItemProps) => import("theme-ui/jsx-runtime").JSX.Element;
};
export {};
