/// <reference types="react" />
import { ColorMode } from '../tokens';
import type { GlobalTheme } from './types';
/**
 * React hook that returns the current Theme UI `theme` and other useful properties/functions such as `colorMode`, `setColorMode`, and `toggleColorMode`.
 * Unlike Theme UI's `useThemeUI`, this hook guarantees that the returned color mode is a supported value.
 */
export declare const useTheme: () => {
    theme: GlobalTheme;
    colorMode: ColorMode;
    setColorMode: (colorMode: import("react").SetStateAction<string>) => void;
    toggleColorMode: () => void;
};
